/* midi2note.c - pasa de numero midi a la cadena de caracteres de una nota */
#include <stdio.h>
#include <string.h>

void MIDI2Note(int MIDI, char Note[]);

int main(int argc, char *argv[])
{
	int midinote;     
	char note[4];
	if (argc != 2){
		printf("\nError: Debe especificar el numero MIDI.\n\n");
	}
	else{

	midinote = atoi(argv[1]);
	MIDI2Note(midinote, note);
		
	printf("%s\n",note);
	
	}
	
	return 0;
}

// escribe la nota a partir del numero MIDI	
void MIDI2Note(int MIDI, char Note[]){

  int octava, offset;
  char *notas[12] = {"C","C#","D","D#","E","F","F#","G","G#","A","A#","B"};
  char soctava[4];

  octava = MIDI / 12 - 1;
  offset = MIDI % 12;

  sprintf(soctava, "%d", octava);
  strcpy(Note, notas[offset]);
  strcat(Note, soctava);

}
